Skip to main content
`Ctrl`+`K`

# PEPSetOperators

Sets the coefficient matrices associated with the polynomial eigenvalue problem.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetOperators(PEP pep,PetscInt nmat,Mat A[])

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- nmat - number of matrices in array `A`

- A - the array of matrices associated with the eigenproblem

## Notes

The polynomial eigenproblem is defined as \(P(\lambda)x=0\), where \(\lambda\) is the eigenvalue, \(x\) is the eigenvector, and \(P\) is defined as \(P(\lambda) = A_0 + \lambda A_1 + \dots + \lambda^d A_d\), with \(d\)=`nmat`-1 (the degree of \(P\)). For non-monomial bases, this expression is different.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSolve()`, `PEPGetOperators()`, `PEPGetNumMatrices()`, `PEPSetBasis()`

## Level

beginner

## Location

src/pep/interface/pepsetup.c

## Examples

src/pep/tutorials/ex40.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex17.c
src/pep/tutorials/ex16.c
src/pep/tutorials/ex50.c
src/pep/tutorials/ex28.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages